Bug 1662497 - torbrowser-launcher does not launch due to missing dependency
Summary: torbrowser-launcher does not launch due to missing dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: torbrowser-launcher
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-29 00:24 UTC by Steven Stern
Modified: 2019-01-19 01:54 UTC (History)
5 users (show)

Fixed In Version: torbrowser-launcher-0.3.1-3.fc29 torbrowser-launcher-0.3.1-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-14 01:58:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Steven Stern 2018-12-29 00:24:54 UTC
Description of problem:

torbrowser-launcher does not launch

> On 12/28/18 3:39 PM, SternData wrote:
>> I see
>> $ torbrowser-launcher
>> Traceback (most recent call last):
>>    File "/usr/bin/torbrowser-launcher", line 29, in <module>
>>      import torbrowser_launcher
>>    File
>> "/usr/lib/python2.7/site-packages/torbrowser_launcher/__init__.py", line
>> 34, in <module>
>>      from PyQt5 import QtCore, QtWidgets
>> ImportError: No module named PyQt5
> 
> sudo dnf install python2-qt5
> If that works, then file a bug report on torbrowser-launcher because the
> dependency needs to be fixed.

Installying python2-qt5 fixes the issue.

Comment 1 Štefan Gurský 2018-12-29 17:17:51 UTC
There are more dependencies. I just found out that besides python2-qt5 I also need to install python2-gpg and python2-requests

Comment 2 Fedora Update System 2019-01-08 14:42:39 UTC
torbrowser-launcher-0.3.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2aedca2271

Comment 3 Fedora Update System 2019-01-08 14:42:44 UTC
torbrowser-launcher-0.3.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b608142eb

Comment 4 Fedora Update System 2019-01-09 14:32:28 UTC
torbrowser-launcher-0.3.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f50c407716

Comment 5 Fedora Update System 2019-01-09 14:32:36 UTC
torbrowser-launcher-0.3.1-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e81e9cf680

Comment 6 Fedora Update System 2019-01-10 20:49:22 UTC
torbrowser-launcher-0.3.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b608142eb

Comment 7 Fedora Update System 2019-01-10 22:14:58 UTC
torbrowser-launcher-0.3.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2aedca2271

Comment 8 Fedora Update System 2019-01-11 04:16:33 UTC
torbrowser-launcher-0.3.1-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e81e9cf680

Comment 9 Fedora Update System 2019-01-11 05:42:34 UTC
torbrowser-launcher-0.3.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f50c407716

Comment 10 Fedora Update System 2019-01-14 01:58:01 UTC
torbrowser-launcher-0.3.1-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-01-19 01:54:47 UTC
torbrowser-launcher-0.3.1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.